PROJ	=CAWF
DEBUG	=0
CC	=qcl
CFLAGS_G	= /AM /W1 /Ze /DDOSPORT /DSTDLIB 
CFLAGS_D	= /Zd /Od 
CFLAGS_R	= /O /Ol /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_R)
LFLAGS_G	= /CP:0xfff /NOI /SE:0x80 /ST:0x1000 
LFLAGS_D	= /CO /INCR 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_R)
RUNFLAGS	=-fn -man new/man.7
OBJS_EXT = 	
LIBS_EXT = 	

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).EXE

cawf.obj:	cawf.c $(H)

pass2.obj:	pass2.c $(H)

store.obj:	store.c $(H)

macsup.obj:	macsup.c $(H)

regerror.obj:	regerror.c $(H)

regexp.obj:	regexp.c $(H)

expand.obj:	expand.c $(H)

pass3.obj:	pass3.c $(H)

string.obj:	string.c $(H)

expr.obj:	expr.c $(H)

error.obj:	error.c $(H)

output.obj:	output.c $(H)

getopt.obj:	getopt.c $(H)

$(PROJ).EXE:	cawf.obj pass2.obj store.obj macsup.obj regerror.obj regexp.obj expand.obj \
	pass3.obj string.obj expr.obj error.obj output.obj getopt.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
cawf.obj +
pass2.obj +
store.obj +
macsup.obj +
regerror.obj +
regexp.obj +
expand.obj +
pass3.obj +
string.obj +
expr.obj +
error.obj +
output.obj +
getopt.obj +
$(OBJS_EXT)
$(PROJ).EXE

$(LIBS_EXT);
<<
	qlink $(LFLAGS) @$(PROJ).crf

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)

